#!/usr/bin/python

import sys
import psycopg
import credentials
from qt import *
from mainform import MainForm
from loginform import loginForm

db = psycopg.connect(user="dea", database="dea", password="dea")

loginUser = None
loginPass = None
loggedIn  = False
userType  = None

class DEALoginForm(loginForm):
    def __init__(self,parent = None,name = None,modal = 0,fl = 0):
	loginForm.__init__(self,parent,name,modal,fl)

    def okClick(self):
	global loginUser, loginPass
	loginUser = self.usernameEdit.text()
	loginPass = self.passwordEdit.text()
	self.accept()

class DEAForm(MainForm):
    def __init__(self, parent = None,name = None,fl = 0):
	MainForm.__init__(self,parent,name,fl)

    def userExit(self):
	self.close()

    def userLogin(self):
	global loggedIn,loginUser,loginPass,db
	lForm = DEALoginForm(None, None, 1)
	out = lForm.exec_loop()
	if out == 0:
	    print 'Not logged in'
	else:
	    crd = credentials.Credentials(loginUser, loginPass)
	    if crd.verifyCredentials(db):
		loggedIn = True
		c = db.cursor()
		c.execute("""select t.name from userData u, userType t where u.type_id = t.id and u.name = '%s' and u.pass = '%s'""" % (loginUser, loginPass))
		row = c.fetchone()
		print "User type: ",row[0]
	    else:
		print 'Bad credentials'

def main(args):
    app=QApplication(args)
    win=DEAForm()
    app.setMainWidget(win)
    win.show()
    app.connect(app, SIGNAL("lastWindowClosed()"), 
        app,
        SLOT("quit()") )
    app.exec_loop()

if __name__=="__main__":
    main(sys.argv)
